Subject: PMP> Updated status of Host Res MIB v2

From: "McDonald, Ira" <[email-masked]>
Date: Mon, 21 Feb 2000 18:24:14 -0800

Hi folks,

Browsing the RFC Editor's queue just now, I noticed that the
Host Resources MIB is near the top of the section 'Standards
Track non-WG RFCs', added to the queue on 24 January 2000.

The URL is

ftp://ftp.ietf.org/internet-drafts/draft-ops-hostmib-01.txt

by Steve Waldbusser and Pete Grillo (20 October 1999)

WARNING - This version introduces a compile dependency on
the Interfaces MIB (RFC 2233, November 1997), which is now
being revised in <draft-ietf-ibmib-ifmib2-01.txt> (October
1999) - via the type 'InterfaceIndexOrZero' for the object
'hrNetworkIfIndex' in the MANDATORY 'hrNetworkTable' (part
of the MANDATORY Device group).  The Interfaces MIB in turn
introduces new compile dependencies on SNMPv2 standards.

I'm still not happy with the internationalization updates.
They're not really very good.  And they're not consistent
with recent work from a number of other IETF WG's, at the
direction of the IESG, including the updates to the System
group of MIB-II (RFC 1213) by the IETF SNMPv3 WG - which
changed all 'Display String' (NVT-ASCII) objects to 
'SnmpAdminString' (UTF-8).

Any bits still missing in 'hrPrinterDetectedErrorState'
(Harry Lewis, you might want to check this) will be missing
for eternity.

And the acknowledgments never mention the Printer MIB WG
or any WG member (such as Lloyd Young, Harry Lewis, etc.)
who contributed to this version.  Nice work huH?

But soon we can begin to move the Printer MIB v2 forward!
The issue of Printer MIB v2 usage of 'DisplayString' won't
go away.  Bert Wijnen (IBM Netherlands, an IETF AD)
is the one who got the SNMPv3 WG to change the System group
objects to 'SnmpAdminString', stating that it was an explicit
request from the IESG for compliance with the IETF Policy
on Character Sets and Langauges (RFC 2277, January 1998).

Cheers,
- Ira McDonald (consulting architect at Sharp Labs America)
  High North Inc